LibreOffice: CopyImporter Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Included Services | Exported Interfaces | List of all members
CopyImporter Service Referencepublished

imports data into a configuration layer by copying over existing data. More...

`import"CopyImporter.idl";`

Inheritance diagram for CopyImporter:

## Included Services
service | Importer
| allows importing configuration data into a backend. More...

## Exported Interfaces
interface | com::sun::star::lang::XInitialization
| allows initializing the implementation with settings that control its behavior . More...
Exported Interfaces inherited from Importer
interface | XLayerImporter
| allows importing configuration data into a backend. More...
interface | com::sun::star::lang::XInitialization
| allows initializing the implementation with settings that control its behavior . More...

## Additional Inherited Members
Public Member Functions inherited from XLayerImporter
XBackend | getTargetBackend ()
| gets the target backend for importing. More...
void | setTargetBackend ([in] XBackend aBackend) raises (com::sun::star::lang::NullPointerException)
| sets the target backend for importing. More...
void | importLayer ([in] XLayer aLayer) raises (MalformedDataException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NullPointerException, com::sun::star::lang::WrappedTargetException)
| Imports the layer given into the backend. More...
void | importLayerForEntity ([in] XLayer aLayer, [in] string aEntity) raises (MalformedDataException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NullPointerException, com::sun::star::lang::WrappedTargetException)
| Imports the layer given into the backend for a given entity. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...

## Detailed Description

imports data into a configuration layer by copying over existing data.

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ Importer

service Importer

allows importing configuration data into a backend.

In this implementation, the changes are copied over any XLayer data that already exists in the Backend, replacing it completely.

## Exported Interfaces

## ◆ com::sun::star::lang::XInitialization

interface com::sun::star::lang::XInitialization

allows initializing the implementation with settings that control its behavior .

This interface, which is optional in Importer is mandatory in this service and supports the following arguments which must be provided as com::sun::star::beans::NamedValue:

`Overwrite` : `boolean`
  If `FALSE`, specifies that the data should be applied only if the existing layer is empty.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/backend/CopyImporter.idl